# Option Quotes

`WS` `request · cmd 12`

> **Quote Permission Required · OPRA**
> No US options quote permission by default for new funded accounts.
> Purchase "OPRA US Options Quotes (OpenAPI)" in the Quote Store to access US options real-time data.
> _OpenAPI quote perms are separate from App/Web perms_

This API is used to obtain the real-time quotes of US stock options, including the option-specific data.

```protobuf
message MultiSecurityRequest {
  repeated string symbol = 1;
}

message OptionQuoteResponse {
  repeated OptionQuote secu_quote = 1;
}
```

## Request Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string[] | Yes | Security code list. obtain the symbol of the options through the optionchain API, for example: [BABA230120C160000.US]. Max 500 symbols per request |

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `secu_quote` | object[] | No | Options quote |
| `└ symbol` | string | No | Security code |
| `└ last_done` | string | No | Latest price |
| `└ prev_close` | string | No | Yesterday's close |
| `└ open` | string | No | Open |
| `└ high` | string | No | High |
| `└ low` | string | No | Low |
| `└ timestamp` | int64 | No | Time of latest price |
| `└ volume` | int64 | No | Volume |
| `└ turnover` | string | No | Turnover |
| `└ trade_status` | int32 | No | Security trading status, see TradeStatus |
| `└ option_extend` | object | No | Option extend quote |
| ` └ implied_volatility` | string | No | Implied volatility |
| ` └ open_interest` | int64 | No | Number of open positions |
| ` └ expiry_date` | string | No | Expiry date, in YYMMDD format |
| ` └ strike_price` | string | No | Strike price |
| ` └ contract_multiplier` | string | No | Contract multiplier |
| ` └ contract_type` | string | No | Option type: A - American, U - Europe |
| ` └ contract_size` | string | No | Contract size |
| ` └ direction` | string | No | Direction: P - put, C - call |
| ` └ historical_volatility` | string | No | Underlying security historical volatility of the option |
| ` └ underlying_symbol` | string | No | Underlying security symbol of the option |

## Response JSON Example

```json
{
  "secu_quote": [
    {
      "symbol": "AAPL220429P162500.US",
      "last_done": "7.78",
      "prev_close": "4.13",
      "timestamp": 1651003200,
      "volume": 3082,
      "turnover": "1813434.00",
      "option_extend": {
        "implied_volatility": "0.592",
        "open_interest": 11463,
        "expiry_date": "20220429",
        "strike_price": "162.50",
        "contract_type": "A",
        "direction": "P",
        "underlying_symbol": "AAPL.US"
      }
    }
  ]
}
```
